/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package demo;

import com.google.gson.Gson;
import com.google.gson.JsonArray;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;

import serpapi.GoogleSearchException;
import serpapi.GoogleSearchResults;
import java.util.Map;
import java.util.HashMap;

public class App {
    public static void main(String[] args) throws GoogleSearchException {
        if(args.length != 1) {
            System.out.println("Usage: app <secret api key>");
            System.exit(1);
        }

        String location = "Austin,Texas";
        System.out.println("find the first Coffee in " + location);

        // parameters
        Map<String, String> parameter = new HashMap<>();
        parameter.put("q", "Coffee");
        parameter.put("location", location);
        parameter.put(GoogleSearchResults.SERP_API_KEY_NAME, args[0]);

        // Create client
        GoogleSearchResults client = new GoogleSearchResults(parameter);

        try {
            // Execute search
            JsonObject data = client.getJson();

            // Decode response
            JsonArray results = (JsonArray) data.get("local_results");
            JsonObject first_result = results.get(0).getAsJsonObject();
            System.out.println("first coffee: " + first_result.get("title").getAsString() + " in " + location);
        } catch (GoogleSearchException e) {
            System.out.println("oops exception detected!");
            e.printStackTrace();
        }
    }
}
